[gui]
[user]
	email = maximewack@free.Fr
	name = Maxime Wack
[core]
	autocrlf = input
	editor = nvim
[alias]
	co = checkout
	ci = commit
	st = status
	br = branch
	hist = log --pretty=format:'%h %ad | %s%d [%an]' --graph --date=short
	type = cat-file -t
	dump = cat-file -p
	d = difftool
[push]
	default = current
[diff]
	tool = nvimdiff
[merge]
	tool = nvimdiff
  conflictstyle = diff3
[difftool]
	prompt = false
[difftool "nvimdiff"]
  cmd = "nvim -d \"$LOCAL\" \"$REMOTE\""
[mergetool "nvimdiff"]
  cmd = "nvim -d \"$BASE\" \"$LOCAL\" \"$REMOTE\" \"$MERGED\""
[url "https://aur.archlinux.org/"]
    insteadOf = aur:

[url "https://maximewack@github.com/"]
    insteadOf = "gh:"

[url "https://maximewack@github.com/maximewack/"]
    insteadOf = "mw:"

[url "https://maxx@git.maximewack.com/maxx/"]
    insteadOf = "me:"

[url "https://maxx@git.maximewack.com/Consults/"]
    insteadOf = "cs:"

[url "https://maxx@git.maximewack.com/HEGP/"]
    insteadOf = "hegp:"

[url "https://maxx@git.maximewack.com/Docker/"]
    insteadOf = "docker:"

[url "https://maximewack@github.com/equipe22/"]
    insteadOf = "eq22:"